Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
gcc-4.9 Is now in portage
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Fred Krogh
l33t
l33t


Joined: 07 Feb 2005
Posts: 814
Location: Tujunga, CA

PostPosted: Sun May 18, 2014 10:44 pm    Post subject: gcc-4.9 Is now in portage Reply with quote

I'm just starting to use if for my own software, and would be interested in what kind of experience people have in compiling gentoo packages. I've been using gcc-4.8 for gentoo stuff with no problems.
Back to top
View user's profile Send private message
joeklow
n00b
n00b


Joined: 23 Jan 2011
Posts: 46

PostPosted: Mon May 19, 2014 10:06 am    Post subject: Reply with quote

I'm on gcc-4.9 since it's been approved into FireBurn overlay (april 28 ).

Seems to be fine, I've got glad to finally kick out colorgcc out of my projects, parts of KDE4 are getting recompiled w/o problems, but major troublemaker is VirtualBox: it requires gcc <= 4.8 at configure stage (can be patched).

Also, it's very sad that unofficial ebuild appeared 7 days after release, and that official ebuild appeared in total 27 days from release. These days, Arch is getting updates much faster 8).
_________________
Commit code back to ALSA, save your latency and CPU: rm /usr/bin/pulseaudio;touch /usr/bin/pulseaudio;chattr +i /usr/bin/pulseaudio
Back to top
View user's profile Send private message
mv
Advocate
Advocate


Joined: 20 Apr 2005
Posts: 4349

PostPosted: Mon May 19, 2014 8:26 pm    Post subject: Reply with quote

Only issues which I had with gcc-4.9 is that icedtea does not compile. It is claimed to be fixed now, 'though I do not know whether the fix is in gentoo's gcc patches or in icedtea. I suppose it is the former and thus an explanation why gcc-4.9 took so long to come to the main tree.
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3748

PostPosted: Sun May 25, 2014 2:00 pm    Post subject: Reply with quote

hi all,

i have upgraded to 4.9 over the weekend and rebuilt the hole system to see what breaks.
This is a basic gnome install ( gnome-light metapackage basically) and i dont have any fancy lto or graphite cflags.
Surprisingly i had just a few issues :

- dev-python/m2crypto doesnt build
- cairo doesnt build with lto USE Flag enabled
- dev-libs/pth gets stuck at configure phase.

will open bugs at b.g.o for these three if im unable to reproduce this with 4.8.2.

All in all quite good id say, even libreoffice built without problems.

cheers guys
Back to top
View user's profile Send private message
Yamakuzure
Veteran
Veteran


Joined: 21 Jun 2006
Posts: 1467
Location: Bardowick, Germany

PostPosted: Mon May 26, 2014 3:39 pm    Post subject: Reply with quote

Isn't 4.9 the version line that eventually should have full C++11 support?
_________________
systemd - The biggest fallacies
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum